Bug 740460 - IMAP sub-folders don't show new messages have arrived
Summary: IMAP sub-folders don't show new messages have arrived
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-22 06:37 UTC by Honza Horak
Modified: 2012-08-07 18:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 18:40:17 UTC


Attachments (Terms of Use)

Description Honza Horak 2011-09-22 06:37:00 UTC
Description of problem:
I have approx. 30 folders or sub-folders in my IMAP account and filters set in thunderbird or on IMAP server itself (there is no difference in where it is set in this case) to move messages into that folders. Sometimes number of new messages and bold font isn't shown by some folders, even if there are new messages in it.

When I explicitly select a folder, then new messages count is updated correctly.

Version-Release number of selected component (if applicable):
$ rpm -q thunderbird
thunderbird-6.0.2-1.fc15.x86_64

How reproducible:
sometimes

Steps to Reproduce:
1. create some folders in IMAP
2. create filters to more messages 
3. see if number of new messages is correctly displayed/updated after new messages arrives and are filtered
  
Actual results:
sometimes number of new messages in a folder is not updated after a message arrives

Expected results:
number of new messages in a folder is updated every-time after message arrives

Additional info:
I checked an option "When getting new messages for this account, always check this folder" and it seems to be a workaround for now. Maybe it can be checked by default?

Comment 1 Honza Horak 2011-09-29 11:35:50 UTC
(In reply to comment #0)
> I checked an option "When getting new messages for this account, always check
> this folder" and it seems to be a workaround for now. 

I've encountered that even this workaround doesn't work every-time, but it is much better. But sometime I still don't see that there are new messages in a folder, even if there are actually.

Comment 2 Honza Horak 2012-03-28 13:15:49 UTC
Still not fixed in F16 (thunderbird-10.0.1-2.fc16.x86_64). 

What's more, the option "When getting new messages for this account, always check this folder" has been changed to unchecked and other folder settings changed (like sorting options) have been forgotten during update to thunderbird 10.

Comment 3 Martin Stransky 2012-05-04 09:12:41 UTC
Can you please check which filter fails? Do all IMAP filter fails or one or two particular?

Comment 4 Fedora End Of Life 2012-08-07 18:40:19 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.